org.apache.hc.core5.io

## Enum CloseMode

- java.lang.Object
- - java.lang.Enum<CloseMode>
  - - org.apache.hc.core5.io.CloseMode

- All Implemented Interfaces:
    Serializable, Comparable<CloseMode>

      public enum CloseMode
      extends Enum<CloseMode>

  Close operation mode.
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GRACEFUL`
    `IMMEDIATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CloseMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CloseMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMMEDIATE

          public static final CloseMode IMMEDIATE

    - #### GRACEFUL

          public static final CloseMode GRACEFUL

  - ### Method Detail

    - #### values

          public static CloseMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CloseMode c : CloseMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CloseMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.